Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.math.model
Interface Node

All Known Implementing Classes:
  SimpleNode

public interface Node

Method Summary
`void` | `jjtAddChild(Node n, int i)` This method tells the node to add its argument to the node's list of children.
`void` | `jjtClose()` This method is called after all the child nodes have been added.
`Node` | `jjtGetChild(int i)` This method returns a child node.
`int` | `jjtGetNumChildren()` Return the number of children the node has.
`Node` | `jjtGetParent()`
`void` | `jjtOpen()` This method is called after the node has been made the current node.
`void` | `jjtReplaceChild(Node oldChild, Node newChild)` Replace the first passed node is child then replace it with new one
`void` | `jjtSetParent(Node n)` This pair of methods are used to inform the node of its parent.

Method Detail

### jjtAddChild

    public void jjtAddChild(Node n, int i)

  This method tells the node to add its argument to the node's list of children.

### jjtClose

    public void jjtClose()

  This method is called after all the child nodes have been added.

### jjtGetChild

    public Node jjtGetChild(int i)

  This method returns a child node. The children are numbered from zero, left to right.

### jjtGetNumChildren

    public int jjtGetNumChildren()

  Return the number of children the node has.

### jjtGetParent

    public Node jjtGetParent()

### jjtOpen

    public void jjtOpen()

  This method is called after the node has been made the current node. It indicates that child nodes can now be added to it.

### jjtReplaceChild

    public void jjtReplaceChild(Node oldChild, Node newChild)

  Replace the first passed node is child then replace it with new one

### jjtSetParent

    public void jjtSetParent(Node n)

  This pair of methods are used to inform the node of its parent.

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM